Ubuntu

[Lucid] Radeon Xpress 200M needs PCI quirk to fix or disable MSI

Reported by Lollerke on 2010-01-18
288
This bug affects 52 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
High
Chase Douglas
Karmic
Undecided
Unassigned
Lucid
High
Chase Douglas

Bug Description

Ubuntu 10.04 Beta 1 with 2.6.32-17.26-generic 2.6.32.10+drm33.1 kernel

xserver-xorg-video-ati 1:6.12.191-1ubuntu2
libdrm 2.4.18-1ubuntu2
mesa7.7-4ubuntu1
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]

Normal boot:
Within 1 minute I have got a frozen screen. CTRL+ALT+F1 works and I can use the reboot command. Plymouth shows up normally during shutdown.

Booting with 'pci=nomsi' kernel option:
KMS is working perfectly.

Normal boot syslog:

Mar 23 18:17:40 toshibal30 kernel: [ 18.401097] eth0: no IPv6 routers present
Mar 23 18:18:41 toshibal30 kernel: [ 79.552074] [drm:radeon_fence_wait] *ERROR* fence(f5f0e060:0x000004E5) 504ms timeout going to reset GPU
Mar 23 18:18:41 toshibal30 kernel: [ 79.552288] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:41 toshibal30 kernel: [ 79.552297] [drm:radeon_fence_wait] *ERROR* fence(f5f0e060:0x000004E5) 512ms timeout
Mar 23 18:18:41 toshibal30 kernel: [ 79.552304] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004E5)
Mar 23 18:18:43 toshibal30 kernel: [ 82.080100] [drm:radeon_fence_wait] *ERROR* fence(f38715c0:0x000004E7) 508ms timeout going to reset GPU
Mar 23 18:18:43 toshibal30 kernel: [ 82.080312] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:43 toshibal30 kernel: [ 82.080322] [drm:radeon_fence_wait] *ERROR* fence(f38715c0:0x000004E7) 516ms timeout
Mar 23 18:18:43 toshibal30 kernel: [ 82.080329] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004E7)
Mar 23 18:18:46 toshibal30 kernel: [ 84.844085] [drm:radeon_fence_wait] *ERROR* fence(f5f0ed80:0x000004E9) 508ms timeout going to reset GPU
Mar 23 18:18:46 toshibal30 kernel: [ 84.844479] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:46 toshibal30 kernel: [ 84.844488] [drm:radeon_fence_wait] *ERROR* fence(f5f0ed80:0x000004E9) 516ms timeout
Mar 23 18:18:46 toshibal30 kernel: [ 84.844638] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004E9)
Mar 23 18:18:49 toshibal30 kernel: [ 87.368086] [drm:radeon_fence_wait] *ERROR* fence(f5f0ee00:0x000004EC) 508ms timeout going to reset GPU
Mar 23 18:18:49 toshibal30 kernel: [ 87.368473] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:49 toshibal30 kernel: [ 87.368483] [drm:radeon_fence_wait] *ERROR* fence(f5f0ee00:0x000004EC) 516ms timeout
Mar 23 18:18:49 toshibal30 kernel: [ 87.368632] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004EC)
Mar 23 18:18:51 toshibal30 kernel: [ 89.896078] [drm:radeon_fence_wait] *ERROR* fence(f3871580:0x000004F0) 508ms timeout going to reset GPU
Mar 23 18:18:51 toshibal30 kernel: [ 89.896467] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:51 toshibal30 kernel: [ 89.896476] [drm:radeon_fence_wait] *ERROR* fence(f3871580:0x000004F0) 516ms timeout
Mar 23 18:18:51 toshibal30 kernel: [ 89.896628] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004F0)
Mar 23 18:18:54 toshibal30 kernel: [ 92.412075] [drm:radeon_fence_wait] *ERROR* fence(f5f0e040:0x000004F3) 508ms timeout going to reset GPU
Mar 23 18:18:54 toshibal30 kernel: [ 92.412462] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:54 toshibal30 kernel: [ 92.412471] [drm:radeon_fence_wait] *ERROR* fence(f5f0e040:0x000004F3) 516ms timeout
Mar 23 18:18:54 toshibal30 kernel: [ 92.412619] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004F3)
Mar 23 18:18:56 toshibal30 kernel: [ 94.956071] [drm:radeon_fence_wait] *ERROR* fence(f38718c0:0x000004F9) 508ms timeout going to reset GPU
Mar 23 18:18:56 toshibal30 kernel: [ 94.956469] [drm] GPU reset succeed (RBBM_STATUS=0x00000140)
Mar 23 18:18:56 toshibal30 kernel: [ 94.956479] [drm:radeon_fence_wait] *ERROR* fence(f38718c0:0x000004F9) 516ms timeout
Mar 23 18:18:56 toshibal30 kernel: [ 94.956629] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x000004F9)
Mar 23 18:18:57 toshibal30 kernel: Kernel logging (proc) stopped.
Mar 23 18:21:27 toshibal30 kernel: imklog 4.2.0, log source = /proc/kmsg started.

---
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.22.1.
 Compiled on Mar 26 2010 for kernel 2.6.32-17-generic (SMP).
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC861-VD Analog [ALC861-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC861-VD Analog [ALC861-VD Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: balazs 1329 F.... pulseaudio
CRDA: Error: [Errno 2] Nincs ilyen fájl vagy könyvtár
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xc0400000 irq 16'
   Mixer name : 'Realtek ALC861-VD'
   Components : 'HDA:10ec0862,1179820d,00100001 HDA:11c11040,11790001,00100200'
   Controls : 18
   Simple ctrls : 11
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 003: ID 0603:00f2 Novatek Microelectronics Corp.
 Bus 002 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems)
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: TOSHIBA Satellite L30
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=51c7e128-fb3a-4af4-8f1a-a46072fc86dc ro quiet splash pci=nomsi
ProcEnviron:
 PATH=(custom, no user)
 LANG=hu_HU.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Regression: Yes
RelatedPackageVersions: linux-firmware 1.33
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: lucid regression-release lucid regression-release lucid regression-release
TestedUpstream: Yes
Uname: Linux 2.6.32-17-generic i686
UserGroups:

dmi.bios.date: 08/17/2007
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V3.00
dmi.board.name: Satellite L30
dmi.board.vendor: TOSHIBA
dmi.board.version: Not Applicable
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV3.00:bd08/17/2007:svnTOSHIBA:pnSatelliteL30:pvrPSL33E-00E00XHU:rvnTOSHIBA:rnSatelliteL30:rvrNotApplicable:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite L30
dmi.product.version: PSL33E-00E00XHU
dmi.sys.vendor: TOSHIBA

Lollerke (pumba88) on 2010-01-18
summary: - [Lucid] Radeon KMS doesn't work
+ [Lucid] Radeon KMS doesn't work with R300 and R400
summary: - [Lucid] Radeon KMS doesn't work with R300 and R400
+ [Lucid] Radeon KMS doesn't work
Lollerke (pumba88) on 2010-01-18
description: updated
description: updated
description: updated
Lollerke (pumba88) on 2010-01-18
summary: - [Lucid] Radeon KMS doesn't work
+ [Lucid] KMS doesn't work with old Radeon cards
description: updated

I get the third "possibility" (grub -> blackscreen) with an Xpress 1250. Not sure how to try nonmodeset

Lollerke (pumba88) on 2010-01-19
description: updated
description: updated
Lollerke (pumba88) on 2010-01-19
affects: ubuntu → xserver-xorg-video-ati (Ubuntu)
Lollerke (pumba88) on 2010-01-19
summary: - [Lucid] KMS doesn't work with old Radeon cards
+ [Lucid] KMS doesn't work properly with old Radeon cards
Lollerke (pumba88) on 2010-01-19
description: updated

I have this problem with a Mobility Radeon X1600. I also get screen corruption with KWIN with the nomodeset solution.

Lollerke (pumba88) on 2010-01-19
description: updated
description: updated
description: updated
description: updated
Lollerke (pumba88) on 2010-01-19
description: updated
Reiger (jm-ouwerkerk) wrote :

Unless I add radeon.modeset=0 (i.e. disable KMS) I invariably get a screen corruption after log-on (using kdm). That is, I can log on but at that point the screen will ‘black out’ and the computer/X will lock up.

I do not see any screen corruption with kwin using radeon.modeset=0, though. lshw reports:

lshw -C display
WARNING: you should run this program as super-user.
  *-display UNCLAIMED
       description: VGA compatible controller
       product: RC410 [Radeon Xpress 200M]
       vendor: ATI Technologies Inc
       physical id: 5
       bus info: pci@0000:01:05.0
       version: 00
       width: 32 bits
       clock: 66MHz
       capabilities: bus_master cap_list
       configuration: latency=64 mingnt=8
       resources: memory:90000000-9fffffff(prefetchable) ioport:7800(size=256) memory:f88f0000-f88fffff memory:f88c0000-f88dffff(prefetchable)

Pauli (paniemin) wrote :

It would help if there would be kernel message log from original problem. Setting up netconsole to stream the kernel messages to 2nd machine is probably the easiest solution.

Screen corruption is different bug and most likely caused by problematic AGP transfers.

You can either set your card to PCI mode or disable download from screen accerlation from exa.

Both will affect performance quite a lot.

Erni35 (dczekay) wrote :

I have the same result on my HP6735b with a AMD RS780M/RS780MN (Radeon HD 3200) using ati or radeonhd as driver.
On boot up I see non sense on the screen. The I can see the log on screen and the computer freeze. Sometimes just on begin of showing the screen, sometimes after selecting one user...
Starting with vesa a default works fine, just with the wrong resolution.

Erni35

Erni35 (dczekay) wrote :

additional comment:

starting a rescue console and then as root startx works fine with the radeon driver and vesa too

Lollerke (pumba88) on 2010-02-09
description: updated
description: updated
Lollerke (pumba88) on 2010-02-09
description: updated
Lollerke (pumba88) on 2010-02-09
description: updated
Lollerke (pumba88) wrote :

Erni35: "starting a rescue console"
How?

Today I tried to boot up the LiveCD again,the desktop showed then I went to the Apperance menu and disabled Compiz. Then I was browsing the Administration menu the whole screen turned white. Ctrl+Alt+F1 and Alt+SysRq+R+S+E+I+U+B didn't work --> hard reset. Everything worked fine for 20 seconds. YEAH!! :D Thats a progress.

Erni35 (dczekay) wrote :

I have the following code in my grub.cfg

menuentry "Ubuntu, with Linux 2.6.33-rc7-dietmar3 (recovery mode)" {
        recordfail
        insmod ext2
        set root=(hd0,7)
        search --no-floppy --fs-uuid --set 464f0d6e-adda-415d-97b9-d606e1b836b5
        echo Loading Linux 2.6.33-rc7-dietmar3 ...
        linux /boot/vmlinuz-2.6.33-rc7-dietmar3 root=/dev/sda7 ro single
        echo Loading initial ramdisk ...
}

I found one solution. Please verify this. I found many files from my AMD driver installation just after deinstalling them.
I deleted all *fglrx* files and reinstalled the kernel (2.3.33 too) and hav now just problems after waking up from screen suspend.

Erni35

Lollerke (pumba88) on 2010-02-15
description: updated
description: updated
description: updated
Lollerke (pumba88) on 2010-02-17
description: updated
Lollerke (pumba88) on 2010-02-17
summary: - [Lucid] KMS doesn't work properly with old Radeon cards
+ [Lucid] KMS doesn't work properly with 200M
summary: - [Lucid] KMS doesn't work properly with 200M
+ [Lucid] KMS doesn't work properly with ATI X200M
Lollerke (pumba88) on 2010-02-17
description: updated
description: updated
Lollerke (pumba88) on 2010-02-17
description: updated
description: updated
description: updated
Lollerke (pumba88) on 2010-02-17
description: updated
description: updated
description: updated

I've got the syslog with a persistent USB daily image. It says the problem is in the kernel DRM.

description: updated
Lollerke (pumba88) on 2010-02-17
affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
summary: - [Lucid] KMS doesn't work properly with ATI X200M
+ [Lucid] KMS doesn't work properly with several ATI cards
Lollerke (pumba88) on 2010-02-17
description: updated
Lollerke (pumba88) on 2010-02-17
summary: - [Lucid] KMS doesn't work properly with several ATI cards
+ [Lucid] KMS doesn't work properly with ATI X200M
Lollerke (pumba88) on 2010-02-18
summary: - [Lucid] KMS doesn't work properly with ATI X200M
+ [Lucid] ATI KMS causes DRM error

Having trouble with KMS too, starting about 4 weeks ago. First blamed Plymouth, but although there are issues there as well, I'm now sure that this is a separate problem. (see also bug 519891).

Problem comes and goes, about half the time I can boot normally and get into my system fine. The other times the system gives me a pattern of vertical coloured lines and is unusable. Hard reboot and adding 'nomodeset' to the grub linux-line does give me a usable system.

This is a Dell Latitude 131L, AMD64, Lucid with all updates applied at least once a day (usually twice a day).
From lspci:
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]
From grub.cfg:
menuentry "Ubuntu, with Linux 2.6.32-13-generic" {
        recordfail
 insmod ext2
 set root=(hd0,5)
 search --no-floppy --fs-uuid --set 46062d1f-f00c-4276-9ff1-541279640a93
 linux /boot/vmlinuz-2.6.32-13-generic root=UUID=46062d1f-f00c-4276-9ff1-541279640a93 ro quiet splash
 initrd /boot/initrd.img-2.6.32-13-generic
}

I insert the 'nomodeset' right before the 'quiet splash'

There are plenty of systems out there with this chip, and installing Lucid will break them as it is now. This should be concerned important, probably critical.

If I can do more to help get this fixed, please ask.

cheers
Tom

Lollerke (pumba88) wrote :

Arch Linux and Fedora has the same problem
http://bbs.archlinux.org/viewtopic.php?id=86211&p=3
https://bugzilla.redhat.com/show_bug.cgi?id=531825

One interesting post:

"I upgraded today to

kernel-2.6.31.6-142.fc12.i686
xorg-x11-drv-ati-6.13.0-0.12.20091119git437113124.fc12.i686

The kernel update did not seem to cause any change, but the radeon driver
update did caused one change, instead of getting a black background with
working mouse cursor, I instead get the fedora wallpaper with working mouse
cursor.

syslog is still getting filled with the same errors as before. "

Lollerke (pumba88) wrote :

From 2.6.33-rc7 changelog:

drm/radeon/kms: fix r300 vram width calculations

Maybe that will fix this. I will check it out If I will have time.

Lollerke (pumba88) wrote :

https://bugzilla.redhat.com/show_bug.cgi?id=532308
"I installed almost all recent kernel packages in koji. 2.6.31.5-91.rc1 is the
lastest stable X200M/KMS kernel. 2.6.31.5-96 is the first buggy kernel."

Any decision about this serious regression/bug? Will UMS be used for X200M in Lucid?

With 'nomodeset' I still get the garbled screen (and indeed tiny pixels
whenever I type something) due an issue in Plymouth, but can fix it by
using alt-sysreq-k.

Without 'nomodeset' I'm getting all vertical lines and cannot use my
system. Can not get past that with alt-sysreq-k or ctrl-alt-backspace.
Every once in a while it actually boots ok without the 'nomodeset' and
then Plymouth works ok too, but at the moment I feel this is getting
less frequent.
Because I can't reproduce the behaviour without 'nomodeset' right or
wrong, I feel there is some issue to do with timing or a race condition
somewhere between the kernel and the radeon driver.
But I'm not a dev.

Updating Lucid twice a day. I'm not trying daily cd's unless I can't get
into my system even by booting into rescue mode.

cheers
Tom

Lollerke wrote:
> https://bugzilla.redhat.com/show_bug.cgi?id=532308
> "I installed almost all recent kernel packages in koji. 2.6.31.5-91.rc1 is the
> lastest stable X200M/KMS kernel. 2.6.31.5-96 is the first buggy kernel."
>
> Any decision about this serious regression/bug? Will UMS be used for
> X200M in Lucid?
>
> ** Bug watch added: Red Hat Bugzilla #532308
> https://bugzilla.redhat.com/show_bug.cgi?id=532308
>
>

Lollerke (pumba88) on 2010-02-22
description: updated

Still no change here.

Just loaded today's updates and was asked to reboot.
Was able to boot *once* without 'nomodeset' and everything worked just fine. Tried it again and got the vertical lines again. And again. And again.
So I booted with 'nomodeset' and got the -well known- garbled screen, so I gave that the alt-sysrq-k routine. After that I could log on and use my pc ok.

cheers
Tom

Lollerke (pumba88) on 2010-02-26
summary: - [Lucid] ATI KMS causes DRM error
+ [Lucid] ATI KMS causes DRM error on X200M

From the Fedora bug report:

"No change with 2.6.33 or drm-radeon-testing. Rest is git master.

Is there some more investigation that can be done? This is really a showstopper
for switching to KMS with RV250 AGP, and as far as I know KMS left staging in
2.6.33. "

Lollerke (pumba88) wrote :

Why this bug isn't marked as Confirmed and not linked to a milestone/tracked in Lucid? In Red Hat Bugzilla it's confirmed and the importance is set to high. This is a show stopper for old Radeon card users and Lucid will ship KMS enabled. What other information I need to provide to this bug?

Lollerke (pumba88) on 2010-02-28
description: updated

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

Lollerke (pumba88) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Lollerke (pumba88) on 2010-03-03
description: updated

I tried today the mainline kernel and have no problems till now.
If I found some of these, i report this.

Dietmar

Lollerke (pumba88) wrote :

What kernel version exactly?
I've got a new error in the log with the -15.22 kernel:
"Mar 3 10:36:39 toshibal30 kernel: [ 29.883648] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id"

description: updated
Tom Louwrier (tom-louwrier) wrote :

update:
Got a lot of upgraded packages over the last days, including X and a new kernel. Result is still the same, and still disappointing.
Loaded the new kernel and X yesterday, rebooted and everything worked fine. No screen corruption, vertical lines etc, Plymouth also doing exactly what it should.
Logged in, logged out, rebooted. No Plymouth, just vertical lines and unusable system. Killed X, but that would not help either.
So now I'm back at booting without KMS (using the 'nomodeset' option) which gives me a garbled screen. Luckily I can get past that by killing X and then everything works pretty well.

I really think this should be picked up and fixed, since it is the sort of 'does *not* work out of the box' issue that drives people away from Linux back to Winblows.

Importance = high
Serious regression

cheers
Tom

Changed in linux (Ubuntu):
status: New → Confirmed
Karesz (lengyel-karesz) wrote :

This problem is somewhat related to this bug:
https://bugs.launchpad.net/bugs/305301

Seriously, this is an almost 2 year old bug, and just got any worse with kms... :(

Tom Louwrier (tom-louwrier) wrote :

There may be some relation to 305301, but on my system suspend / hibernate and resume worked perfectly in Jaunty. On moving to Karmic both got broken and are still not fixed completely (see 466868-susp/res and 447192-hib/res)
The problem here has no much obvious to do with that, because it appears right after (cold) booting and leaves you with an unusable system.

cheers
Tom

Steve Langasek (vorlon) on 2010-03-03
Changed in linux (Ubuntu Lucid):
importance: Undecided → High
Erni35 (dczekay) wrote :

I tried 2.6.33-020633-generic #020633 SMP Thu Feb 25 10:10:03 UTC 2010 x86_64 GNU/Linux
from mainline just wirh quiet and slash as kernel command line and the radeon driver, not radeonhd

kr,
erni35

Lollerke (pumba88) wrote :

With 2.6.33-020633-generic and KMS,everything was fine for 5 minutes then I got a white screen and nothing worked.

Karesz (lengyel-karesz) wrote :

Yup, the same here... :( I've also tried the same kernel with karmic, needless to say what happened...

@#37:
That bug also mentions that black/white screen can (and often does) happen after cold boot, so imho these to problems are from the same origin.
I'd love to help bisecting this problem, but don't have a clue, how. Any suggestion, where and how to start?

Lollerke (pumba88) on 2010-03-08
description: updated
Lollerke (pumba88) on 2010-03-08
description: updated
description: updated
description: updated
Lollerke (pumba88) on 2010-03-09
description: updated
description: updated
Lollerke (pumba88) on 2010-03-10
description: updated
Lollerke (pumba88) on 2010-03-10
description: updated
tags: removed: apport-collected
Lollerke (pumba88) on 2010-03-11
tags: added: apport-collected
description: updated
description: updated
Lollerke (pumba88) on 2010-03-11
description: updated
anonimo222 (vs250350) on 2010-03-14
Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed
Lollerke (pumba88) on 2010-03-22
description: updated
Lollerke (pumba88) on 2010-03-23
description: updated
tags: added: patch
Lollerke (pumba88) on 2010-03-25
Changed in xserver-xorg-driver-ati:
status: Confirmed → Unknown
Lollerke (pumba88) on 2010-03-26
description: updated
Lollerke (pumba88) on 2010-03-29
description: updated
description: updated
affects: xserver-xorg-driver-ati → linux
Lollerke (pumba88) on 2010-03-30
tags: added: lucid
Lollerke (pumba88) on 2010-04-01
summary: - [Lucid] ATI KMS causes DRM error on X200M
+ [Lucid] Radeon Xpress 200M needs pci quirk to fix or disable MSI
summary: - [Lucid] Radeon Xpress 200M needs pci quirk to fix or disable MSI
+ [Lucid] Radeon Xpress 200M needs PCI quirk to fix or disable MSI
Lollerke (pumba88) on 2010-04-02
description: updated
Lollerke (pumba88) on 2010-04-05
Changed in linux (Ubuntu Lucid):
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
Changed in linux (Ubuntu Lucid):
assignee: nobody → Chase Douglas (chasedouglas)
158 comments hidden view all 238 comments

Same problem in ubuntu 10.04 beta 2 , is that normal?

Chase Douglas (chasedouglas) wrote :

@Cloudany:

Yes, the beta 2 freeze was in place one week ago. No changes were allowed until the release of beta 2 unless they were serious (like the installer dying half-way through). Now that it has been released, the freeze is lifted and we can add in more bug fixes that are less serious. The last freeze will be one week from today. After that, only the most serious bugs will be addressed before release of the final image.

Of course, we'll still be working on bug fixes, but after next week they will be deferred to stable release updates and will not make it onto the release CDs.

This patch has been sent to the kernel-team mailing list and will likely be committed to the lucid kernel shortly. When that occurs, the status of this bug will be updated to 'Fix Committed'. As long as that occurs before next thursday, you can rest assured the fix will be in the release CDs.

Thank you a lot, your words makes me happy (really) , because i use ubuntu for work and i need ubuntu 10.04 on my Pc, thank you a lot , so i will wait for the 29th April, thank you a lot for your pacience to answer my questions.

Andy Whitcroft (apw) on 2010-04-08
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Erni35 (dczekay) wrote :

I have some days no problems with KMS, ATI and 2.6.32 or 2.6.34 (from mainline).
But today I recognise one problem with my notebook. If I start the notebook unplugged from power chord I couldn't start up to gnome. The screen freeze before the passward line and also starting xorg from rescue console results in a frozen screen.

The system: ubuntu lucid, HP 6735b running 64bit ubuntu.

What information can help?

Erni35

Chase Douglas (chasedouglas) wrote :

@Erni35:

Your new issue is likely unrelated to this bug. Please open a new bug so we can track it more easily. The best way is to run 'ubuntu-bug linux'.

Thanks

Lollerke (pumba88) wrote :

Erni35: I have the same problem,very strange.

Launchpad Janitor (janitor) wrote :
Download full text (10.2 KiB)

This bug was fixed in the package linux - 2.6.32-20.29

---------------
linux (2.6.32-20.29) lucid; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: Use MODULE_IMPORT macro to tie intel_agp to i915"
    - LP: #542251
  * add Breaks: against hardy lvm2
    - LP: #528155

  [ Colin Watson ]

  * d-i -- enable udebs for generic-pae
    - LP: #160366

  [ Stefan Bader ]

  * [Config] Add xen netboot support
    - LP: #160366

  [ Takashi Iwai ]

  * (pre-stable): input: Support Clickpad devices in ClickZone mode
    - LP: #516329

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) Bluetooth: Fix sleeping function in RFCOMM within
    invalid context"
    - LP: #553837
  * Revert "(pre-stable) USB: fix usbfs regression"
    - LP: #553837
  * Revert "(pre-stable) softlockup: Stop spurious softlockup messages due
    to overflow"
    - LP: #553837
  * Revert "(pre-stable) drm/nouveau: report unknown connector state if lid
    closed"
    - LP: #553837
  * drivers/scsi/ses.c: eliminate double free
    - LP: #553837
  * decompress: fix new decompressor for PIC
    - LP: #553837
  * ARM: Fix decompressor's kernel size estimation for ROM=y
    - LP: #553837
  * MIPS: Cleanup forgotten label_module_alloc in tlbex.c
    - LP: #553837
  * tg3: Fix tg3_poll_controller() passing wrong pointer to tg3_interrupt()
    - LP: #553837
  * tg3: Fix 5906 transmit hangs
    - LP: #553837
  * ALSA: hda - Fix input source elements of secondary ADCs on Realtek
    - LP: #553837
  * ALSA: hda: enable MSI for Gateway M-6866
    - LP: #538918, #553837
  * timekeeping: Prevent oops when GENERIC_TIME=n
    - LP: #553837
  * Input: alps - add support for the touchpad on Toshiba Tecra A11-11L
    - LP: #553837
  * Input: i8042 - add ALDI/MEDION netbook E1222 to qurik reset table
    - LP: #553837
  * i2c-i801: Don't use the block buffer for I2C block writes
    - LP: #553837
  * ath5k: dont use external sleep clock in AP mode
    - LP: #553837
  * ath5k: fix setup for CAB queue
    - LP: #553837
  * ring-buffer: Move disabled check into preempt disable section
    - LP: #553837
  * function-graph: Init curr_ret_stack with ret_stack
    - LP: #553837
  * Bluetooth: Fix sleeping function in RFCOMM within invalid context
    - LP: #553837
  * tracing: Use same local variable when resetting the ring buffer
    - LP: #553837
  * tracing: Disable buffer switching when starting or stopping trace
    - LP: #553837
  * tracing: Do not record user stack trace from NMI context
    - LP: #553837
  * PCI: unconditionally clear AER uncorr status register during cleanup
    - LP: #553837
  * efifb: fix framebuffer handoff
    - LP: #553837
  * coredump: suppress uid comparison test if core output files are pipes
    - LP: #553837
  * V4L/DVB (13961): em28xx-dvb: fix memleak in dvb_fini()
    - LP: #553837
  * hrtimer: Tune hrtimer_interrupt hang logic
    - LP: #553837
  * x86, apic: Don't use logical-flat mode when CPU hotplug may exceed 8
    CPUs
    - LP: #553837
  * mvsas: add support for Adaptec ASC-1045/1405 SAS/SATA HBA
    - LP: #553837
  * pci: add support for 82576NS serdes to existing SR-IOV quirk
    - LP: #553837
  * sched: Mark boot-cpu active before smp_init()
    -...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Lollerke (pumba88) on 2010-04-10
Changed in linux (Ubuntu Karmic):
status: New → Invalid
Sennaista (sennaista) wrote :

Has this fix been incorporated in the daily build from 10/04/2010? I'm still getting similar error messages when booting from a USB made from today's build. Needless to say I can't boot from it.

Sennaista (sennaista) wrote :

Screen shot of my boot attempt

Erni35 (dczekay) wrote :

I also got a frozen screnn on boot up if I started disconnected from power chord. The screen is dimmed at start up and I never reach the log in screen of gdm. Plugged in I have no problems but I couldn't go to a console for logs.

Erni35

Sennaista (sennaista) wrote :

BTW, I also tried the "pci=nomsi" option but all it does in my case is turn the monitor off or, to be more precise, put it into power save mode and the only way out is a hard reboot.

Chase Douglas (chasedouglas) wrote :

@Sennaista and @Erni35:

Both of you have separate bugs from this one. Please open new bugs for these issues.

Thanks

Linuxfan (linuxfan-timo) wrote :

FYI:
"pci=nomsi" solved my problem with Ubuntu 10.04 Lucid Lynx on notebook Asus A9RP (ATI Technologies Inc RC410 [Radeon Xpress 200M])

Thank you very much.

Lollerke (pumba88) wrote :

Linuxfan: You don't need "pci=nomsi" with the 2.6.32-20 kernel because its fixed.

Yves Glodt (yglodt) wrote :

I still see this issue on my acer travelmate 8000 with it's ati radeon mobility 9700 (rv350) using the -20 kernel.

When I boot with kms enabled, I get to see plymouth nicely, but as soon as kdm starts, the screen is corrupted. swicthing back to the console shows the same errors printed out continously as in #61 https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/507148/comments/61

Mark (umberstark) wrote :

OK well, I have not idea what else was changed in the latest Kernel, but when I ran system update this morning and installed it, on reboot I get no graphical "Ubuntu", just a stalled wall of console text about EISA this and isapnp that . This is with "pci=nomsi" both enabled and disabled (to eliminate it). Powering off and using the previous .19 Kernel (with "pci=nomsi" enabled), and all is well.

Just grabbed the latest, 12th, Daily Live CD and get the same result as above, a wall of console text and no boot.

Anyone else using an Amilo LI1718 confirm this?

Chase Douglas (chasedouglas) wrote :

@Yves, @Mark:

Both of your issues are separate from this bug. Please open new bugs for them.

Thanks

Yves Glodt (yglodt) wrote :

I did so:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/561789

Maybe someone with the right karma can make sure the bug get's tagged to be part of lucid.

Bruno coudoin (bruno-coudoin) wrote :

I have the same or similar problem with a brain new Dell Zino HD on Lucid freshly updated.
2.6.32-20-generic #30-Ubuntu SMP Mon Apr 12 15:20:57 UTC 2010 x86_64
ii xserver-xorg-video-ati 1:6.13.0-1ubuntu2 X.Org X server -- AMD/ATI display driver wra

The hardware:
AMD Athlon(tm) Neo X2 Dual Core Processor 6850e
01:00.0 VGA compatible controller: ATI Technologies Inc M92 LP [Mobility Radeon HD 4300 Series

The error in dmesg:
[ 8720.564689] radeon 0000:01:00.0: GPU softreset
[ 8720.564695] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003028
[ 8720.564701] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000002
[ 8720.564706] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200000C0
[ 8720.564718] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
[ 8720.564774] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
[ 8720.564837] radeon 0000:01:00.0: R_000E60_SRBM_SOFT_RESET=0x00000402
[ 8720.662007] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0x00003028
[ 8720.662012] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000002
[ 8720.662017] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200000C0
[ 8720.672345] [drm:radeon_fence_wait] *ERROR* fence(ffff88008d8e9f40:0x00278B5A) 630ms timeout
[ 8720.676884] [drm:radeon_fence_wait] *ERROR* last signaled fence(0x00278B5A)

Have u tried the pci=nomsi option? Does it work for you? I'm not sure, but I
think your card haven't been inserted in the fix for this problem. Try it!

2010/4/14 Bruno coudoin <email address hidden>

> I have the same or similar problem with a brain new Dell Zino HD on Lucid
> freshly updated.
> 2.6.32-20-generic #30-Ubuntu SMP Mon Apr 12 15:20:57 UTC 2010 x86_64
> ii xserver-xorg-video-ati 1:6.13.0-1ubuntu2
> X.Org X server -- AMD/ATI display driver wra
>
> The hardware:
> AMD Athlon(tm) Neo X2 Dual Core Processor 6850e
> 01:00.0 VGA compatible controller: ATI Technologies Inc M92 LP [Mobility
> Radeon HD 4300 Series
>
> The error in dmesg:
> [ 8720.564689] radeon 0000:01:00.0: GPU softreset
> [ 8720.564695] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0xA0003028
> [ 8720.564701] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000002
> [ 8720.564706] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200000C0
> [ 8720.564718] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00007FEE
> [ 8720.564774] radeon 0000:01:00.0: R_008020_GRBM_SOFT_RESET=0x00000001
> [ 8720.564837] radeon 0000:01:00.0: R_000E60_SRBM_SOFT_RESET=0x00000402
> [ 8720.662007] radeon 0000:01:00.0: R_008010_GRBM_STATUS=0x00003028
> [ 8720.662012] radeon 0000:01:00.0: R_008014_GRBM_STATUS2=0x00000002
> [ 8720.662017] radeon 0000:01:00.0: R_000E50_SRBM_STATUS=0x200000C0
> [ 8720.672345] [drm:radeon_fence_wait] *ERROR*
> fence(ffff88008d8e9f40:0x00278B5A) 630ms timeout
> [ 8720.676884] [drm:radeon_fence_wait] *ERROR* last signaled
> fence(0x00278B5A)
>
> --
> [Lucid] Radeon Xpress 200M needs PCI quirk to fix or disable MSI
> https://bugs.launchpad.net/bugs/509273
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bruno coudoin (bruno-coudoin) wrote :

I tested the pci=nomsi without success this is why I did not try to add my card to the patch.

Karesz (lengyel-karesz) wrote :

I don't know if anyone with r410 tried Alt+PrtScr+K in the beta2, but it
gives me the vertical lines... Have someone also noticed this? Is it a new
bug related to this, the same bug, or a completely new bug?
Alt+PrtScr+RSEIUB works.

2010/4/15 Launchpad Bug Tracker <email address hidden>

> ** Branch linked: lp:ubuntu/linux-ec2
>
> --
> [Lucid] Radeon Xpress 200M needs PCI quirk to fix or disable MSI
> https://bugs.launchpad.net/bugs/509273
> You received this bug notification because you are a direct subscriber
> of the bug.
>

enb (elitenoobboy) wrote :

in 2.6.32-19, my inspiron 1501 boots up every time just fine, but on -20 and -21 kernels, it is back to giving vertical bars on boot up. It looks like there's been a regression.

Karesz (lengyel-karesz) wrote :

Should the suspend-resume work with the latest kernel?

2010/4/17 enb <email address hidden>

> in 2.6.32-19, my inspiron 1501 boots up every time just fine, but on -20
> and -21 kernels, it is back to giving vertical bars on boot up. It looks
> like there's been a regression.
>
> --
> [Lucid] Radeon Xpress 200M needs PCI quirk to fix or disable MSI
> https://bugs.launchpad.net/bugs/509273
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Danny Wood (danwood76) wrote :

For me this bug is not fixed.
If I remove the pci=nomsi from the kernel line I get the same crash I did before the kernel update.
I assume my PCI IDs haven't been added by the patch.

I am running a Toshiba L30-10V.

Attached to this is my full lspci.

Chase Douglas (chasedouglas) wrote :

@danwood76:

Can you confirm your kernel version? The patch is in the 2.6.32-21 kernel, and it should fix this issue for you.

Thanks

Tom Louwrier (tom-louwrier) wrote :

hi again,

Managed to revive my laptop after a couple of days since the problems were intermittent (or at least one was, triggering the rest).
The pci=nomsi option never worked for me in grub.cfg so I had not much faith in the fix mentioned above. Then nomodeset stopped working too (no idea why, heard some more people about that) and I ended up booting with a permanent radeon.modeset=0 for some weeks.
Since then a lot has changed in the kernel, X-server, ATI/Radeon driver and Plymouth.

I checked, but can not reproduce the behaviour in this bugreport anymore. All seems to be working OK, booting reliably without special options so I consider it fixed.
Thanx everyone for helping out.

cheers
Tom

Danny Wood (danwood76) wrote :

@Chase Douglas

Kernel Versions:

danny@danny-laptop:~$ uname -r
2.6.32-21-generic
danny@danny-laptop:~$ apt-cache showpkg linux-image
Package: linux-image
Versions:
2.6.32.21.22

Also I know the patch is active because:
danny@danny-laptop:~$ dmesg | grep MSI
[ 0.321055] pci 0000:00:01.0: MSI quirk detected; subordinate MSI disabled

I think maybe that something else on my system (other than the graphics bridge) also has issues with bad MSI as I have looked through the kernel source and the pci id added in the quirk.c are correct for my laptop.

Should I try to disable MSI for other devices to see if that helps, is there any particular devices I should be looking into or should the current patch disable it for the entire graphics chipset?

best regards,
Danny

Chase Douglas (chasedouglas) wrote :

@danwood76:

Unfortunately I don't know anything more. I suggest opening a new bug for this issue, and if you track down a fix we can look at incorporating it into Lucid.

Thanks

gene (eugenios) wrote :

After upgrade to Lucid I had one freeze already. I am on Xpress 200 rc410 chip. The messaging seems to be turned off. My logs are wordless, so I can't tell what happened. I've had some weird issues when kms was on before. With modset.radon=1 option the system would freeze frequently dumping some garbage to the logs bug #489447
Once, I go without radeon modset, no freezes. In my case, the said option provides dri, which when used does let the laptop wake up after suspend. So after trying it again and reporting the results I will turn the kms off next boot. Now I am trying with pci=nomsi, although it is turned off according to the kern.log

There's one more possibility that it is caused by the ath5k module known to freeze, however with useful logs.

Lollerke (pumba88) wrote :

Why do you use radeon.modeset=1? It's the default option,so you don't need to write it to the boot options. Try radeon.modeset=0 if you have problems.

carlosqueso (carlosqueso) wrote :

I receive the same error, simply a white screen with colored lines. I'm using the -21 kernel, and it will occasionally boot with no problems. However, using nomodeset, the system boots fine. The patch is working, because I get:
dmesg | grep MSI
[ 0.241906] pci 0000:00:00.0: MSI quirk detected; MSI disabled
[ 0.241912] pci 0000:00:01.0: MSI quirk detected; subordinate MSI disabled
I have a Radeon Xpress 200M.

gene (eugenios) wrote :

Hi all,
Sorry got lost. The launchpad is such a bliss: you can leave a comment and the system won't find where you did it, unless you subscribe.

2 Lollerke: the radeon.modeset option was not a default for some time (in karmic at least) maybe because to the kms issues, please see the my related bug.

Got another crash. This time, I have some entries in the logs. Not much but this is something. TO make it more readable i'll use this
grep drm -A2 -B2 /var/log/kern.lo
............
May 4 00:14:38 jenshen kernel: [31854.648052] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
May 4 00:20:24 jenshen kernel: [32200.377989] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
May 4 00:26:40 jenshen kernel: [32576.900863] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
May 4 00:32:35 jenshen kernel: [32932.021549] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
May 4 00:33:22 jenshen kernel: [32978.813129] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
May 4 00:34:32 jenshen kernel: [33048.605073] UDP: short packet: From 0.0.0.0:0 0/131 to 0.112.23.247:0
May 4 16:26:14 jenshen kernel: [90150.939663] UDP: short packet: From 0.0.0.0:4096 0/131 to 0.112.23.247:0
May 4 16:38:32 jenshen kernel: [90889.164643] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
May 4 17:16:18 jenshen kernel: [93154.924710] UDP: short packet: From 0.0.0.0:0 0/131 to 0.112.23.247:0
May 4 20:44:48 jenshen kernel: [105665.147283] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
May 4 20:47:52 jenshen kernel: [105848.705980] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
May 4 20:47:52 jenshen kernel: [105848.705980] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
May 4 20:52:28 jenshen kernel: imklog 4.2.0, log source = /proc/kmsg started.
May 4 20:52:28 jenshen kernel: [ 0.000000] Initializing cgroup subsys cpuset
May 4 20:52:28 jenshen kernel: [ 0.000000] Initializing cgroup subsys cpu
May 4 20:52:28 jenshen kernel: [ 0.000000] Linux version 2.6.32-21-generic (buildd@rothera) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #32-Ubuntu SMP F:
............

The crash happened around 20:47. This was the last entry for the session (lasted about 20 hours). To get out I used the Raising-Elephants-Is-So-Utterly-Boring incantation.

Again, in my case kms is useless and dangerous. I cannot fully utilize it, because, 1) suspend won't work, 2) it gie plenty of video issues, like more cpu time and results in lower xvid quality when playing videos even with mplayer.

I would like to know to turn the kms off? I did try radeon.modest=0 - I still get nice tty fonts. However, I see this
May 4 20:52:28 jenshen kernel: [ 2.238430] [drm] radeon defaulting to kernel modesetting.
May 4 20:52:28 jenshen kernel: [ 2.238437] [drm] radeon kernel modesetting enabled.

I will double check.

gene (eugenios) wrote :

Neither radeon.modeset=0 nor modeset.radeon=0 would do the trick, the kernel modesetting somehow gets enabled.

Off-topic:

This LTS edition is not different from my previous experience. Somewhat more stable than the koala, like pulseaudio finally works without breaking every minute. The boot-up time in my case is doubled (about 2 mins), whence in feisty fawn it was just 30 secs. I understand I get some services to start which take time - I do not see what is going on, no system messages are shown. Maybe it can scare a user? So it was turned off. Probably, the stability does not necessarily depend on the window's buttons position

I hope, other people are luckier.....
I am optimistic though!

gene (eugenios) wrote :

I finally turned the KMS off following this guide https://wiki.ubuntu.com/X/RadeonKMS
Hopefully wont get any freezes now.

RavanH (ravanhagen) wrote :

bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/562843 seems to be more appropriate for the switching off KMS discussion going on here... at least if you get that same rs400_gart_adjust_size error with dmesg | grep drm

Changed in linux:
status: Unknown → Confirmed
mp (m-p) wrote :

Bug still exists for me with kernel:

2.6.32-27-generic #49-Ubuntu SMP

with:

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]

I experienced in the 2.6.37-rc3 kernel which I built with Mike Galbraith' patch. Besides this it was not stable, there has been some lock-ups when kms was enabled. Furthermore, none of the Meerkat live usb's had it fixed for us (which ship with the *35 kernel so far) .
No luck so far :(
--

gene (eugenios) wrote :

>>needs PCI quirk to fix or disable MSI
It certainly was present in *37-rc3 for RC410. What is an MSI quirk? Can you just put "msi=nomsi" in boot kernel option?

Changed in linux:
importance: Unknown → Medium
Changed in linux:
status: Confirmed → Fix Released
Displaying first 40 and last 40 comments. View all 238 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.